%define origname FErari

Name:           python-module-ferari
Version:        0.1.0
Release:        alt1.hg20090831
Summary:        Optimizer for finite element code
Group:          Development/Python
License:        LGPL
URL:            http://fenics.org/wiki/FErari
Source:         %origname-%version.tar.gz
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

BuildArch: noarch

BuildRequires(pre): rpm-build-python
BuildPreReq: python-devel = %__python_version
%setup_python_module %origname
%py_requires ffc
# for bootstrap
#add_python_req_skip ffc

%description
FErari (Finite Element rearrangement to automatically reduce instructions)
generates optimized code for evaluation of the element tensor (element stiffness
matrix) and functions as an optimizing backend for FFC.

%prep
%setup

%build
%python_build

%install
CFLAGS="%optflags" python setup.py install \
	--root=%buildroot --optimize=2

%files
%doc CHANGE TODO FErari/migrate
%python_sitelibdir/*

%changelog
* Mon Aug 31 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.1.0-alt1.hg20090831
- Snapshot 20090831

* Wed Aug 19 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.1.0-alt1.hg20090819
- New version

* Tue May 05 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.0.2-alt3
- Remove dependence on util (this is really pg)

* Sat Apr 25 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.0.2-alt2
- Add requirement on python%__python_version(ffc)

* Sat Apr 25 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.0.2-alt1
- Initial build for Sisyphus
